package org.w3c.dom.ls;

import org.w3c.dom.DOMException;

public interface DOMImplementationLS
{
    public static final short MODE_SYNCHRONOUS = 1;
    public static final short MODE_ASYNCHRONOUS = 2;
    
    public abstract LSParser createLSParser(short p0, String p1) throws DOMException;
    
    public abstract LSSerializer createLSSerializer();
    
    public abstract LSInput createLSInput();
    
    public abstract LSOutput createLSOutput();
}
